Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.xerces.impl
Class XMLEntityScanner

    java.lang.Object
      |
      +--weblogic.apache.xerces.impl.XMLEntityScanner

Direct Known Subclasses:
  XMLEntityManager.EntityScanner

public abstract class XMLEntityScanner
extends java.lang.Object
implements XMLLocator

This class allows various parser scanners to scan basic XML constructs from entities. This class works directly with the entity manager to provide this functionality.

There is only one entity scanner and entity manager per parser. The entity manager could implement the methods to perform entity scanning, but the entity scanner class allows a cleaner separation between entity management API and entity scanning.

See Also:
  `XMLEntityHandler`, `XMLEntityManager`

Constructor Summary
`XMLEntityScanner()`

Method Summary
`abstract java.lang.String` | `getBaseSystemId()` Returns the base system identifier of the currently scanned entity, or null if none is available.
`abstract boolean` | `isExternal()` Returns true if the current entity being scanned is external.
`abstract int` | `peekChar()` Returns the next character on the input.
`abstract int` | `scanChar()` Returns the next character on the input.
`abstract int` | `scanContent(XMLString content)` Scans a range of parsed character data, setting the fields of the XMLString structure, appropriately.
`abstract boolean` | `scanData(java.lang.String delimiter, XMLString data)` Scans a range of character data up to the specicied delimiter, setting the fields of the XMLString structure, appropriately.
`abstract int` | `scanLiteral(int quote, XMLString content)` Scans a range of attribute value data, setting the fields of the XMLString structure, appropriately.
`abstract java.lang.String` | `scanName()` Returns a string matching the Name production appearing immediately on the input as a symbol, or null if no Name string is present.
`abstract java.lang.String` | `scanNmtoken()` Returns a string matching the NMTOKEN production appearing immediately on the input as a symbol, or null if NMTOKEN Name string is present.
`abstract boolean` | `scanQName(QName qname)` Scans a qualified name from the input, setting the fields of the QName structure appropriately.
`abstract void` | `setEncoding(java.lang.String encoding)` Sets the encoding of the scanner.
`abstract boolean` | `skipChar(int c)` Skips a character appearing immediately on the input.
`abstract boolean` | `skipSpaces()` Skips space characters appearing immediately on the input.
`abstract boolean` | `skipString(java.lang.String s)` Skips the specified string appearing immediately on the input.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLEntityScanner

    public XMLEntityScanner()

Method Detail

### getBaseSystemId

    public abstract java.lang.String getBaseSystemId()

  Returns the base system identifier of the currently scanned entity, or null if none is available.

### setEncoding

    public abstract void setEncoding(java.lang.String encoding)
                              throws java.io.IOException

  Sets the encoding of the scanner. This method is used by the scanners if the XMLDecl or TextDecl line contains an encoding pseudo-attribute.

  Note: The underlying character reader on the current entity will be changed to accomodate the new encoding. However, the new encoding is ignored if the current reader was not constructed from an input stream (e.g. an external entity that is resolved directly to the appropriate java.io.Reader object).

  Parameters:
    `encoding` - The IANA encoding name of the new encoding.
  Throws:
    java.io.IOException - Thrown if the new encoding is not supported.
  See Also:
    `EncodingMap`, `XMLChar.isValidIANAEncoding(java.lang.String)`, `XMLChar.isValidJavaEncoding(java.lang.String)`

### isExternal

    public abstract boolean isExternal()

  Returns true if the current entity being scanned is external.

### peekChar

    public abstract int peekChar()
                          throws java.io.IOException

  Returns the next character on the input.

  Note: The character is not consumed.

  Throws:
    java.io.IOException - Thrown if i/o error occurs.
    java.io.EOFException - Thrown on end of file.

### scanChar

    public abstract int scanChar()
                          throws java.io.IOException

  Returns the next character on the input.

  Note: The character is consumed.

  Throws:
    java.io.IOException - Thrown if i/o error occurs.
    java.io.EOFException - Thrown on end of file.

### scanNmtoken

    public abstract java.lang.String scanNmtoken()
                                          throws java.io.IOException

  Returns a string matching the NMTOKEN production appearing immediately on the input as a symbol, or null if NMTOKEN Name string is present.

  Note: The NMTOKEN characters are consumed.

  Note: The string returned must be a symbol. The SymbolTable can be used for this purpose.

  Throws:
    java.io.IOException - Thrown if i/o error occurs.
    java.io.EOFException - Thrown on end of file.
  See Also:
    `SymbolTable`, `XMLChar.isName(int)`

### scanName

    public abstract java.lang.String scanName()
                                       throws java.io.IOException

  Returns a string matching the Name production appearing immediately on the input as a symbol, or null if no Name string is present.

  Note: The Name characters are consumed.

  Note: The string returned must be a symbol. The SymbolTable can be used for this purpose.

  Throws:
    java.io.IOException - Thrown if i/o error occurs.
    java.io.EOFException - Thrown on end of file.
  See Also:
    `SymbolTable`, `XMLChar.isName(int)`, `XMLChar.isNameStart(int)`

### scanQName

    public abstract boolean scanQName(QName qname)
                               throws java.io.IOException

  Scans a qualified name from the input, setting the fields of the QName structure appropriately.

  Note: The qualified name characters are consumed.

  Note: The strings used to set the values of the QName structure must be symbols. The SymbolTable can be used for this purpose.

  Parameters:
    `qname` - The qualified name structure to fill.
  Returns:
    Returns true if a qualified name appeared immediately on the input and was scanned, false otherwise.
  Throws:
    java.io.IOException - Thrown if i/o error occurs.
    java.io.EOFException - Thrown on end of file.
  See Also:
    `SymbolTable`, `XMLChar.isName(int)`, `XMLChar.isNameStart(int)`

### scanContent

    public abstract int scanContent(XMLString content)
                             throws java.io.IOException

  Scans a range of parsed character data, setting the fields of the XMLString structure, appropriately.

  Note: The characters are consumed.

  Note: This method does not guarantee to return the longest run of parsed character data. This method may return before markup due to reaching the end of the input buffer or any other reason.

  Note: The fields contained in the XMLString structure are not guaranteed to remain valid upon subsequent calls to the entity scanner. Therefore, the caller is responsible for immediately using the returned character data or making a copy of the character data.

  Parameters:
    `content` - The content structure to fill.
  Returns:
    Returns the next character on the input, if known. This value may be -1 but this does note designate end of file.
  Throws:
    java.io.IOException - Thrown if i/o error occurs.
    java.io.EOFException - Thrown on end of file.

### scanLiteral

    public abstract int scanLiteral(int quote,
                                    XMLString content)
                             throws java.io.IOException

  Scans a range of attribute value data, setting the fields of the XMLString structure, appropriately.

  Note: The characters are consumed.

  Note: This method does not guarantee to return the longest run of attribute value data. This method may return before the quote character due to reaching the end of the input buffer or any other reason.

  Note: The fields contained in the XMLString structure are not guaranteed to remain valid upon subsequent calls to the entity scanner. Therefore, the caller is responsible for immediately using the returned character data or making a copy of the character data.

  Parameters:
    `quote` - The quote character that signifies the end of the attribute value data.
    `content` - The content structure to fill.
  Returns:
    Returns the next character on the input, if known. This value may be -1 but this does note designate end of file.
  Throws:
    java.io.IOException - Thrown if i/o error occurs.
    java.io.EOFException - Thrown on end of file.

### scanData

    public abstract boolean scanData(java.lang.String delimiter,
                                     XMLString data)
                              throws java.io.IOException

  Scans a range of character data up to the specicied delimiter, setting the fields of the XMLString structure, appropriately.

  Note: The characters are consumed.

  Note: This assumes that the internal buffer is at least the same size, or bigger, than the length of the delimiter and that the delimiter contains at least one character.

  Note: This method does not guarantee to return the longest run of character data. This method may return before the delimiter due to reaching the end of the input buffer or any other reason.

  Note: The fields contained in the XMLString structure are not guaranteed to remain valid upon subsequent calls to the entity scanner. Therefore, the caller is responsible for immediately using the returned character data or making a copy of the character data.

  Parameters:
    `delimiter` - The string that signifies the end of the character data to be scanned.
    `data` - The data structure to fill.
  Returns:
    Returns true if there is more data to scan, false otherwise.
  Throws:
    java.io.IOException - Thrown if i/o error occurs.
    java.io.EOFException - Thrown on end of file.

### skipChar

    public abstract boolean skipChar(int c)
                              throws java.io.IOException

  Skips a character appearing immediately on the input.

  Note: The character is consumed only if it matches the specified character.

  Parameters:
    `c` - The character to skip.
  Returns:
    Returns true if the character was skipped.
  Throws:
    java.io.IOException - Thrown if i/o error occurs.
    java.io.EOFException - Thrown on end of file.

### skipSpaces

    public abstract boolean skipSpaces()
                                throws java.io.IOException

  Skips space characters appearing immediately on the input.

  Note: The characters are consumed only if they are space characters.

  Returns:
    Returns true if at least one space character was skipped.
  Throws:
    java.io.IOException - Thrown if i/o error occurs.
    java.io.EOFException - Thrown on end of file.
  See Also:
    `XMLChar.isSpace(int)`

### skipString

    public abstract boolean skipString(java.lang.String s)
                                throws java.io.IOException

  Skips the specified string appearing immediately on the input.

  Note: The characters are consumed only if they are space characters.

  Parameters:
    `s` - The string to skip.
  Returns:
    Returns true if the string was skipped.
  Throws:
    java.io.IOException - Thrown if i/o error occurs.
    java.io.EOFException - Thrown on end of file.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD